PDA

View Full Version : SLES 11 SP4 Yast2 GUI Problem



nemesis3
14-Dec-2016, 11:51
Hi, I have newly installed SLES11 including SP4.
Everything works fine until I installed the patches.

After rebooting I'll get the following error, opening any icon on Yast2 GUI:
"terminate called after throwing an instance of 'YUIPluginException' what(): Couldn't load plug-in qt
YaST got signal 6 at YCP file Wizard.ycp:36 /sbin/yast2: line 435: 6162 break

I tried to reinstall with yast (text-version in a console session): yast2-control-content-qt / yast2-qt and yast2-qt-pkg but the error still exists.

/var/log/YaST
YUIPlugin.cc(YOUPlugin):64 Could not load UI plugin "qt": /usr/lib64/libXrender.so.1: undefined symbol: _XEatDataWords
YUILoader: 125 THROW: Couldn't load plug-in qt

So can anyone help me to repair YaST2 GUI

Massimo Rosen
14-Dec-2016, 15:08
Hi.

Am 14.12.2016 um 11:54 schrieb nemesis3:
>
> Hi, I have newly installed SLES11 including SP4.
> Everything works fine until I installed the patches.
>
> After rebooting I'll get the following error, opening any icon on Yast2
> GUI:
> "terminate called after throwing an instance of 'YUIPluginException'
> what(): Couldn't load plug-in qt
> YaST got signal 6 at YCP file Wizard.ycp:36 /sbin/yast2: line 435: 6162
> break
>
> I tried to reinstall with yast (text-version in a console session):
> yast2-control-content-qt / yast2-qt and yast2-qt-pkg but the error
> still exists.
>
> /var/log/YaST
> YUIPlugin.cc(YOUPlugin):64 Could not load UI plugin "qt":
> /usr/lib64/libXrender.so.1: undefined symbol: _XEatDataWords
> YUILoader: 125 THROW: Couldn't load plug-in qt
>
> So can anyone help me to repair YaST2 GUI

zypper in --oldpackage xorg-x11-libXrender-7.4-1.16.8
xorg-x11-libXrender-32bit-7.4-1.16.8

Should fix it for now. Or use the text mode yast and wait for the next
(fixed hopefully) patched versions. It's a bug in the current modules.

CU,
--
Massimo Rosen
Micro Focus Knowledge Partner
No emails please!
http://www.cfc-it.de

ketter
14-Dec-2016, 15:41
On Wed, 14 Dec 2016 10:54:02 GMT, nemesis3
<nemesis3@no-mx.forums.microfocus.com> wrote:

>
>Hi, I have newly installed SLES11 including SP4.
>Everything works fine until I installed the patches.
>
>After rebooting I'll get the following error, opening any icon on Yast2
>GUI:
>"terminate called after throwing an instance of 'YUIPluginException'
>what(): Couldn't load plug-in qt
>YaST got signal 6 at YCP file Wizard.ycp:36 /sbin/yast2: line 435: 6162
>break
>
>I tried to reinstall with yast (text-version in a console session):
>yast2-control-content-qt / yast2-qt and yast2-qt-pkg but the error
>still exists.
>
>/var/log/YaST
>YUIPlugin.cc(YOUPlugin):64 Could not load UI plugin "qt":
>/usr/lib64/libXrender.so.1: undefined symbol: _XEatDataWords
>YUILoader: 125 THROW: Couldn't load plug-in qt
>
>So can anyone help me to repair YaST2 GUI

A workaround has been posted in this thread:
https://forums.suse.com/showthread.php?8720-SLES-11-SP4-%2812-13-16-Updates%29

---
Ken
Knowledge Partner

If this post was helpful and you are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

Create and vote for enhancements!
https://www.novell.com/products/enhancement-request.html

Massimo Rosen
14-Dec-2016, 15:47
Am 14.12.2016 um 11:54 schrieb nemesis3:
>
> Hi, I have newly installed SLES11 including SP4.
> Everything works fine until I installed the patches.

And here's the official statement:

https://www.suse.com/de-de/support/kb/doc/?id=7018387

CU,
--
Massimo Rosen
Micro Focus Knowledge Partner
No emails please!
http://www.cfc-it.de

nemesis3
14-Dec-2016, 19:12
Thanks, that worked for me (until a newer patch was released).